library(gee)
library(geepack)

source("C:/Users/Acer/Dropbox/R/RutilityFunctions.R")

setwd("D:/KKU/Med/Teaching/Short course 56/LMM_S56/Rfiles")
load("longData.RData")


###Linear Marginal Model

#Null
null.marg<-geeglm(vsae~1, id=childid, corstr = "independence", family = gaussian, data=autism.df)
summary(null.marg)
QIC(null.marg)


#Independant residual covariance structure (i.e. standard general liner model)
lin.marg.ind<-geeglm(vsae~sicdegp+age, id=childid, corstr = "independence", family = gaussian, data=autism.df)
summary(lin.marg.ind)

QIC(lin.marg.ind)


#Exchangable residual covariance structure (=compund symmetry)
lin.marg.exc<-geeglm(vsae~sicdegp+age, id=childid, corstr = "exchangeable", family = gaussian, data=autism.df)
summary(lin.marg.exc)

QIC(lin.marg.exc)


#AR(1) residual covariance structure (AR1)
lin.marg.ar1<-geeglm(vsae~sicdegp+age, id=childid, corstr = "ar1", family = gaussian, data=autism.df)
summary(lin.marg.ar1)

QIC(lin.marg.ar1)

library(xtable)
out.ar1<-xtable(data.frame(summary(lin.marg.ar1)$coefficients))
toLatex(out.ar1)


#Unstructured residual covariance structure (unstructured)
lin.marg.uns<-geeglm(vsae~sicdegp+age, id=childid, corstr = "unstructured", family = gaussian, data=autism.df)
summary(lin.marg.uns)

QIC(lin.marg.uns)





#Need to use library gee to get working correlation matrix

#Independance residual covariance structure (i.e. standard general liner model)
lin.marg.ind<-gee(vsae~sicdegp+age, id=childid, corstr = "independance", family = gaussian, data=autism.df)
summary(lin.marg.ind)

#Exchangable residual covariance structure (i.e. standard general liner model)
lin.marg.exc<-gee(vsae~sicdegp+age, id=childid, corstr = "exchangeable", family = gaussian, data=autism.df)
summary(lin.marg.exc)

#Autoregressive (i.e. AR1)
lin.marg.ar1<-gee(vsae~sicdegp+age, id=childid, corstr = "AR-M", Mv=1, family = gaussian, data=autism.df)
summary(lin.marg.ar1)

#Unstructured residual covariance structure (i.e. standard general liner model)
lin.marg.uns<-gee(vsae~sicdegp+age, id=childid, corstr = "unstructured", family = gaussian, data=autism.df)
summary(lin.marg.uns)

