source("C:/Users/Acer/Dropbox/R/RutilityFunctions.R")

setwd("D:/KKU/Med/Teaching/Short course 56/LMM_S56/Rfiles")
load("longData.RData")

library(lme4)

#Raw data (scatter plot)

plot(x=sleep.df$Days, y=sleep.df$Reaction, xlab="Day", ylab="Reaction time")

#Raw data (line plot)
interaction.plot(x.factor=sleep.df$Days, trace.factor=sleep.df$Subject, 
                 response=sleep.df$Reaction, legend=FALSE, xlab="Day", 
                 ylab="Reaction time", col=c(1:100))

#Fit null model
null.mod<-ran.int<-lmer(Reaction~1 + (1|Subject), data=sleep.df)
summary(null.mod)

#random intercept
rint.mod<-lmer(Reaction~Days + (1|Subject), data=sleep.df)
anova(null.mod, rint.mod)
summary(rint.mod)


plot.lmm(ran.int)


#Random coefficent

rcoef.mod<-lmer(Reaction~Days + (Days|Subject), data=sleep.df)
#Signicant improvment over random intercept?
anova(ran.int, ran.coef)
summary(ran.coef)


plot.lmm(ran.coef)


###Linear Marginal Model

library(geepack)
#Null
null.marg<-geeglm(Reaction~1, id=Subject, corstr = "independence", family = gaussian, data=sleep.df)
summary(null.marg)
QIC(null.marg)



#Independant residual covariance structure (i.e. standard general liner model)
lin.marg.ind<-geeglm(Reaction~Days, id=Subject, corstr = "independence", family = gaussian, data=sleep.df)
summary(lin.marg)

QIC(lin.marg)

#Exchangable residual covariance structure (=compund symmetry)
lin.marg<-geeglm(Reaction~Days, id=Subject, corstr = "exchangeable", family = gaussian, data=sleep.df)
summary(lin.marg)

QIC(lin.marg)


#AR(1) residual covariance structure (=compund symmetry)
lin.marg<-geeglm(Reaction~Days, id=Subject, corstr = "ar1", family = gaussian, data=sleep.df)
summary(lin.marg)

QIC(lin.marg)




#Need to use library gee to get working correlation matrix

library(gee)

#Independant residual covariance structure (i.e. standard general liner model)
lin.marg<-geeglm(Reaction~Days, id=Subject, corstr = "independence", family = gaussian, data=sleep.df)
summary(lin.marg)


#Independant residual covariance structure (i.e. standard general liner model)
lin.marg<-gee(Reaction~Days, id=Subject, corstr = "exchangable", family = gaussian, data=sleep.df)
summary(lin.marg)

#Exchangable residual covariance structure (i.e. CS)
lin.marg<-gee(Reaction~Days, id=Subject, corstr = "AR", family = gaussian, data=sleep.df)
summary(lin.marg)


