library(gee)
library(geepack)
library(lme4)


load("/Users/macintosh/Dropbox/KKU teaching/Workshops/PhDEpiBioStat_Aug57/GEE_GLMM_Aug57/Rfiles/chStuff.Rdata")
setwd("/Users/macintosh/Dropbox/KKU teaching/Workshops/PhDEpiBioStat_Aug57/GEE_GLMM_Aug57/Rfiles")

respire.df$visit.f<-factor(respire.df$visit)
#Null
gee.null<-geeglm(outcome~1, id=id, corstr = "exchangeable", family = binomial(), data=respire.df)
summary(gee.null)
QIC(gee.null)


#CS
gee.exc<-geeglm(outcome~treat+visit.f+treat:visit.f, id=id, corstr = "exchangeable", family = binomial(), data=respire.df)
anova(gee.exc)
summary(gee.exc)

anova(gee.null, gee.exc)

print.ORCIs.gee(gee.exc)
QIC(gee.exc)

##AR1
gee.null<-geeglm(outcome~1, id=id, corstr = "ar1", family = binomial(), data=respire.df)
summary(gee.null)
QIC(gee.null)


gee.ar1<-geeglm(outcome~treat+visit.f+treat:visit.f, id=id, corstr = "ar1", family = binomial(), data=respire.df)
anova(gee.ar1)
summary(gee.ar1)

anova(gee.null, gee.ar1)

print.ORCIs.gee(gee.ar1)
QIC(gee.ar1)


##UNSTRUCTURE
gee.null<-geeglm(outcome~1, id=id, corstr = "unstructured", family = binomial(), data=respire.df)
summary(gee.null)
QIC(gee.null)


gee.uns<-geeglm(outcome~treat+visit.f+treat:visit.f, id=id, corstr = "unstructured", family = binomial(), data=respire.df)
anova(gee.uns)
summary(gee.uns)

anova(gee.null, gee.uns)

print.ORCIs.gee(gee.uns)
QIC(gee.uns)


##########################

#GLMM: Random intercept
#Null
glmm.rint.null<-glmer(outcome~1+ (1|id), family = binomial(), data=respire.df)

#Fit (Random interpects)
glmm.rint<-glmer(outcome~treat+visit.f+treat:visit.f+ (1|id), family = binomial(), data=respire.df)

anova(glmm.rint.null,glmm.rint)

summary(glmm.rint)


print.ORCIs.glmm.wald(glmm.rint)


#Fit (Random coeff model)
glmm.rcoeff<-glmer(outcome~treat+visit.f+treat:visit.f+ (visit.f|id), family = binomial(), data=respire.df)

anova(glmm.rint.null, glmm.rcoeff)

anova(glmm.rint, glmm.rcoeff)

summary(glmm.rcoeff)
print.ORCIs.glmm.wald(glmm.rcoeff)



